Bug 536183 - (RHQ-560) Filter object names that have extra key properties
Filter object names that have extra key properties
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Greg Hinkle
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 14:11 EDT by Greg Hinkle
Modified: 2008-06-17 14:51 EDT (History)
0 users

See Also:
Fixed In Version: 1.0.1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Hinkle 2008-06-10 14:11:00 EDT
In the JMX plugin's MBeanResourceDiscoveryComponent, it currently uses ",*" object queries whenever there is a object name that contains a match variable to be translated into a configuration property. We should check for extra properties to ensure that we're not matching the ",*" model of object queries if the user hasn't specified an ending * for the objectname query.
Comment 1 Greg Hinkle 2008-06-10 18:08:10 EDT
Fixed in r951
Comment 2 Jeff Weiss 2008-06-12 14:31:37 EDT
Possible code-level only change.  If not, needs repro steps.
Comment 3 Jeff Weiss 2008-06-17 14:50:33 EDT
ghinkle is not around to confirm that these are code-level, but on this one dev seems to agree.
Comment 4 Red Hat Bugzilla 2009-11-10 16:11:56 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-560

Note You need to log in before you can comment on or make changes to this bug.